Debian Bug report logs - #637761
RFP: cavalry -- Mounts a web site.

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Misha Strong <misha.strong@mweb.co.za>

Date: Sun, 14 Aug 2011 08:39:02 UTC

Severity: wishlist

Merged with 639366

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, misha.strong@mweb.co.za, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#637761; Package wnpp. (Sun, 14 Aug 2011 08:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Misha Strong <misha.strong@mweb.co.za>:
New Bug report received and forwarded. Copy sent to misha.strong@mweb.co.za, debian-devel@lists.debian.org, wnpp@debian.org. (Sun, 14 Aug 2011 08:39:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Misha Strong <misha.strong@mweb.co.za>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: cavalry -- Mounts a web site.
Date: Sun, 14 Aug 2011 10:34:03 +0200
Package: wnpp
Severity: wishlist
Owner: Misha Strong <misha.strong@mweb.co.za>


* Package name    : cavalry
  Version         : 1.0.14
  Upstream Author : Nice Versa (Pty) Ltd. <Misha.Strong@mweb.co.za>
* URL             : http://niceversa.dyndns.info/
* License         : GPL
  Programming Lang: Pascal
  Description     : Mounts a web site.

Do you have an FTP server? Good. Now you can use it store all your personal files!

Our program will use very little computer power. You can use it for:
* Documents
* CGI-scripts

It could also provide a backup of your stuff:
Jack: "Oh, my computer broke."
John: "Why not just download your files?"

It is designed for a 56K modem, but will operate also on wireless.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Misha Strong <misha.strong@mweb.co.za>:
Bug#637761; Package wnpp. (Sun, 14 Aug 2011 09:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Misha Strong <misha.strong@mweb.co.za>. (Sun, 14 Aug 2011 09:09:06 GMT) Full text and rfc822 format available.

Message #10 received at 637761@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Misha Strong <misha.strong@mweb.co.za>, 637761@bugs.debian.org
Subject: Re: Bug#637761: ITP: cavalry -- Mounts a web site.
Date: Sun, 14 Aug 2011 11:06:46 +0200
[Message part 1 (text/plain, inline)]
also sprach Misha Strong <misha.strong@mweb.co.za> [2011.08.14.1034 +0200]:
> Do you have an FTP server? Good. Now you can use it store all your personal files!
> 
> Our program will use very little computer power. You can use it for:
> * Documents
> * CGI-scripts
> 
> It could also provide a backup of your stuff:
> Jack: "Oh, my computer broke."
> John: "Why not just download your files?"
> 
> It is designed for a 56K modem, but will operate also on wireless.

I consider this a completely useless description. What does
"mounting a web site" have to do with FTP? How is the website
mounted? FUSE? Please try to provide information, rather than
marketing talk.

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#637761; Package wnpp. (Sun, 14 Aug 2011 11:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Misha Strong <misha.strong@mweb.co.za>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 14 Aug 2011 11:42:04 GMT) Full text and rfc822 format available.

Message #15 received at 637761@bugs.debian.org (full text, mbox):

From: Misha Strong <misha.strong@mweb.co.za>
To: 637761@bugs.debian.org
Subject: Technical Aspects
Date: Sun, 14 Aug 2011 13:31:31 +0200
Description     : Background document up- and down-loader.

This daemon synchronizes your files to an FTP-server, or folder thereon.
To combat the problem of clogging your internet line with data, only
TEXT and ZIP files are included. Therefor, it is safe to specify your
$HOME directory as a local source.

You may not know, but .ODT and -- heaven forbid -- .DOCX files are also
PK-compressed. In summary, this tool copies: program source code, and
office documents/databases. Of course, only files which have changed are
moved.

This is done by opening a local file descriptor, then connecting using a
builtin library, and saving or loading data as neccessary. Connections
can be quite easily aborted (and safely) due to our atomic meta-data
structure. This makes it great for roaming laptops.

One of the main features of this program, is that it does not rely on
date or time. This is an advantage for poorly maintained servers (I have
seen a few) and especially ones in different countries. We do this
instead heuristically: if a file is bigger, it is newer, etc. Although,
at the end of the day, a local file will not be replaced with a remote
one, if it hasn't yet been uploaded (safety check.)

As such, the biggest limitation of our software, is that is single-user.
However, that does not mean single-computer! This is the advantage CIFS
has over us.





Forcibly Merged 637761 639366. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Sun, 28 Aug 2011 09:03:36 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Misha Strong <misha.strong@mweb.co.za>:
Bug#637761; Package wnpp. (Mon, 27 May 2013 14:15:58 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Misha Strong <misha.strong@mweb.co.za>. (Mon, 27 May 2013 14:15:58 GMT) Full text and rfc822 format available.

Message #22 received at 637761@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 637761@bugs.debian.org
Cc: control@bugs.debian.org
Subject: cavalry: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:17 +0200
retitle 637761 RFP: cavalry -- Mounts a web site.
noowner 637761
tag 637761 - pending
thanks

Hi,

This is an automatic email to change the status of cavalry back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting cavalry, please send a mail to
<control@bugs.debian.org> with:

 retitle 637761 ITP: cavalry -- Mounts a web site.
 owner 637761 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <637761@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: cavalry -- Mounts a web site.' from 'ITP: cavalry -- Mounts a web site.' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:39:56 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Misha Strong <misha.strong@mweb.co.za>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:39:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:10:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.